## ocaml-cry 0.2.2

=== examples/Makefile ===
# OCaml-Lastfm examples.
#
# Copyright 2007 by the Savonet team.
#
# $Id: Makefile 4694 2007-10-23 23:33:11Z smimram $

all clean:
	$(MAKE) -f Makefile.connect $@

distclean: clean
	rm -rf autom4te.cache config.log config.status autom4te.cache

=== debian/changelog ===
ocaml-cry (0.2.2-2build2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 21:59:22 +0200

ocaml-cry (0.2.2-2build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 Jun 2017 13:37:19 +0100

ocaml-cry (0.2.2-2) unstable; urgency=medium

  * Team upload.
  * Add build-dependency on dh-autoreconf to fix FTBFS on arm64. Thanks to
    Chen Baozi for the patch! (closes: #765242)
  * debian/copyright: convert to machine-readable format 1.0
  * Standards-version 3.9.8 (no change)
  * Update Vcs-* fields.

 -- Ralf Treinen <treinen@debian.org>  Sat, 27 Aug 2016 11:35:37 +0200

ocaml-cry (0.2.2-1) unstable; urgency=low

  * New upstream release. 
  * Switch to debian package format 3.0 (quilt)

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 08 Oct 2011 16:28:04 +0200

ocaml-cry (0.2.1-1) unstable; urgency=low

  * New upstream release. 

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 04 Aug 2011 21:58:34 -0500

ocaml-cry (0.2.0-1) unstable; urgency=low

  * Upload official 0.2.0 upstream release to unstable.

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 26 Jun 2011 14:14:43 -0500

ocaml-cry (0.2.0~20110523+hgb02e02b1cf7c-1) experimental; urgency=low

  * Snapshot from mercurial repository.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 23 May 2011 19:06:48 -0500

ocaml-cry (0.1.5-2) unstable; urgency=low

  * Upload to sid. 

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 03 Mar 2011 13:26:48 -0600

ocaml-cry (0.1.5-1) experimental; urgency=low

  * New upstream release. 

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 07 Sep 2010 10:31:31 -0500

ocaml-cry (0.1.4-1) experimental; urgency=low

  * New upstream release. 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 06 Sep 2010 03:15:32 -0500

ocaml-cry (0.1.3-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental now that squeeze is frozen.
  * Bumped standards version to 3.9.1 

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 19 Aug 2010 13:35:59 -0500

ocaml-cry (0.1.2-1) unstable; urgency=low

  * New upstream release.
  * Rebuild against ocaml 3.11.2.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 08 Feb 2010 18:26:32 -0600

ocaml-cry (0.1.1-1) unstable; urgency=low

  * New upstream release. 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 26 Oct 2009 19:51:05 -0500

ocaml-cry (0.1.0-1) unstable; urgency=low

  * Initial release.
  Closes: #550803

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 12 Oct 2009 20:47:04 -0500

=== debian/control ===
Source: ocaml-cry
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs (>= 0.4.53), debhelper (>= 7.0.1), dh-autoreconf,
  ocaml-nox (>= 3.11.2), dh-ocaml (>= 0.9), ocaml-findlib (>= 1.2.4)
Standards-Version: 3.9.8
Homepage: http://savonet.sourceforge.net/
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-cry.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/ocaml-cry.git

Package: libcry-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: MP3/Ogg Vorbis broadcast OCaml module
 This OCaml module implements the protocols used to connect and 
 send source data to icecast2 and shoutcast servers.
 . 
 It is a low-level implementation, so it only does the minimal 
 source connection. In particular, it does not handle synchronisation. 
 Hence, the task of sending audio data to the streaming server 
 at real time rate is up to the programmer, contrary to the main 
 implementation, libshout.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/ocaml.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

DEB_CONFIGURE_EXTRA_FLAGS := --enable-debugging
DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
DEB_MAKE_INSTALL_TARGET := install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

build/libcry-ocaml-dev::
	mkdir -p $(DESTDIR)
	make doc

clean::
	rm -rf Makefile src/Makefile src/META doc config.log config.status examples/Makefile.connect

## ocaml-cry 0.6.1

=== debian/changelog ===
ocaml-cry (0.6.1-2) unstable; urgency=medium

  * Drop SSL dependency due to licensing issues

 -- Kyle Robbertze <krobbertze@gmail.com>  Mon, 06 Aug 2018 16:07:25 +0200

ocaml-cry (0.6.1-1) unstable; urgency=medium

  * Update watch file
  * New upstream version 0.6.1
  * Bump compat to 10
  * Update copyright years
  * Add uploader
  * Update Vcs-* fields.

 -- Kyle Robbertze <krobbertze@gmail.com>  Tue, 08 May 2018 20:42:08 +0200

=== debian/control ===
Source: ocaml-cry
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <krobbertze@gmail.com>,
           Samuel Mimram <smimram@debian.org>,
           Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs (>= 0.4.53),
               debhelper (>= 10),
               ocaml-nox (>= 3.11.2),
               dh-ocaml (>= 0.9),
               ocaml-findlib (>= 1.2.4),
Standards-Version: 4.1.4
Homepage: http://savonet.sourceforge.net/
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-cry
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-cry

Package: libcry-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: MP3/Ogg Vorbis broadcast OCaml module
 This OCaml module implements the protocols used to connect and
 send source data to icecast2 and shoutcast servers.
 .
 It is a low-level implementation, so it only does the minimal
 source connection. In particular, it does not handle synchronisation.
 Hence, the task of sending audio data to the streaming server
 at real time rate is up to the programmer, contrary to the main
 implementation, libshout.

## ocaml-cry 0.6.2

=== debian/changelog ===
ocaml-cry (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2
  * Bump Standards-Version to 4.2.1 (no change)
  * Fix VCS-Git field

 -- Kyle Robbertze <krobbertze@gmail.com>  Mon, 27 Aug 2018 09:22:25 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                ocaml-nox (>= 3.11.2),
                dh-ocaml (>= 0.9),
                ocaml-findlib (>= 1.2.4),
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://savonet.sourceforge.net/
-Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-cry
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-cry.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-cry
 
 Package: libcry-ocaml-dev

## ocaml-cry 0.6.4

=== examples/Makefile ===
all clean:
	$(MAKE) -f Makefile.connect $@

distclean: clean
	rm -rf autom4te.cache config.log config.status autom4te.cache

=== debian/changelog ===
ocaml-cry (0.6.4-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:28:37 +0000

ocaml-cry (0.6.4-1) unstable; urgency=medium

  * New upstream version 0.6.4
  * Update upstream homepage

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 02 Sep 2019 21:30:10 +0200

ocaml-cry (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3
  * Remove inactive uploaders
  * Bump Standards-Version to 4.4.0 (move to dh)
  * Re-add ocaml-ssl dependency as licence is compatible

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 11 Aug 2019 13:31:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: ocaml-cry
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Kyle Robbertze <krobbertze@gmail.com>,
-           Samuel Mimram <smimram@debian.org>,
-           Romain Beauxis <toots@rastageeks.org>
-Build-Depends: cdbs (>= 0.4.53),
-               debhelper (>= 10),
-               ocaml-nox (>= 3.11.2),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Uploaders: Kyle Robbertze <paddatrapper@debian.org>
+Build-Depends: debhelper (>= 12),
+               debhelper-compat (=12),
                dh-ocaml (>= 0.9),
                ocaml-findlib (>= 1.2.4),
-Standards-Version: 4.2.1
-Homepage: http://savonet.sourceforge.net/
+               ocaml-nox (>= 3.11.2),
+               libssl-ocaml-dev (>= 0.5.0)
+Standards-Version: 4.4.0
+Homepage: https://www.liquidsoap.info/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-cry.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-cry

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)
export PKG_CONFIG_PATH=/usr/lib/$(DEB_BUILD_ARCH)/pkgconfig
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with ocaml

override_dh_autoreconf:
	./bootstrap

override_dh_auto_build:
	[ -f debian/autoreconf.before ] || dh_autoreconf ./bootstrap
	$(MAKE) all doc

override_dh_auto_install:
	mkdir -p $(DESTDIR)/$(OCAML_STDLIB_DIR)
	$(MAKE) install DESTDIR=$(DESTDIR) \
		prefix=$(DESTDIR)/usr sysconfdir=$(DESTDIR)/etc \
		OCAMLFIND_LDCONF=ignore
	dh_install

override_dh_auto_test:
	true

override_dh_auto_clean:
	dh_autoreconf_clean
	rm -rf Makefile src/Makefile src/META doc config.log config.status examples/Makefile.connect
	dh_clean

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\/// \
  https://github.com/savonet/ocaml-cry/releases .*download/\d\S+/ocaml-cry-(\d\S+).tar.gz

## ocaml-cry 0.6.5

=== debian/changelog ===
ocaml-cry (0.6.5-1build3) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:22:45 +0100

ocaml-cry (0.6.5-1build2) jammy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Nov 2021 10:46:50 +0100

ocaml-cry (0.6.5-1build1) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Nov 2020 14:47:03 +0100

ocaml-cry (0.6.5-1) unstable; urgency=medium

  * Update watch file
  * New upstream version 0.6.5
  * Change build system to dune
  * Update Standards-Version to 4.5.0
    * Bumped compat to 13
    * Added Rules-Requires-Root

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 05 May 2020 12:38:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: ocaml-cry
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
-Build-Depends: debhelper (>= 12),
-               debhelper-compat (=12),
+Build-Depends: debhelper-compat (=13),
+               dune,
                dh-ocaml (>= 0.9),
                ocaml-findlib (>= 1.2.4),
                ocaml-nox (>= 3.11.2),
                libssl-ocaml-dev (>= 0.5.0)
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://www.liquidsoap.info/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-cry.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-cry
+Rules-Requires-Root: no
 
 Package: libcry-ocaml-dev
 Architecture: any

## ocaml-cry 0.6.7

=== debian/changelog ===
ocaml-cry (0.6.7-1) unstable; urgency=medium

  * New upstream version 0.6.7
  * Bump standards-version to 4.6.1 (no change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Fri, 27 May 2022 16:47:27 +0200

ocaml-cry (0.6.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Mar 2022 11:45:04 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: debhelper-compat (=13),
-               dune,
-               dh-ocaml (>= 0.9),
-               ocaml-findlib (>= 1.2.4),
-               ocaml-nox (>= 3.11.2),
+               ocaml-dune,
+               dh-ocaml,
+               ocaml,
                libssl-ocaml-dev (>= 0.5.0)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://www.liquidsoap.info/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-cry.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-cry

## ocaml-cry 1.0.1

=== debian/changelog ===
ocaml-cry (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * Remove old files

 -- Kyle Robbertze <paddatrapper@debian.org>  Sat, 29 Jul 2023 23:13:16 +0100

ocaml-cry (0.6.7-2) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem (Closes: #1041783)
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Jul 2023 21:27:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: debhelper-compat (=13),
                ocaml-dune,
-               dh-ocaml,
+               dh-ocaml (>= 1.2),
                ocaml,
                libssl-ocaml-dev (>= 0.5.0)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.liquidsoap.info/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-cry.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-cry

## ocaml-cry 1.0.3

=== debian/changelog ===
ocaml-cry (1.0.3-3build3) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 09:18:18 +0200

ocaml-cry (1.0.3-3build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 21:56:40 +0100

ocaml-cry (1.0.3-3build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:46:16 +0200

ocaml-cry (1.0.3-3) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Aug 2024 04:37:16 +0200

ocaml-cry (1.0.3-2) unstable; urgency=medium

  * Add dependency on libfindlib-ocaml (Closes: #1073891)

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 30 Jul 2024 15:13:07 +0900

ocaml-cry (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3

 -- Kyle Robbertze <paddatrapper@debian.org>  Sat, 06 Apr 2024 09:29:34 +0100

ocaml-cry (1.0.2-2) unstable; urgency=medium

  * Team upload
  * Fix build on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Sun, 18 Feb 2024 10:50:39 +0100

ocaml-cry (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * Install library correctly

 -- Kyle Robbertze <paddatrapper@debian.org>  Thu, 18 Jan 2024 13:35:47 +0000

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
                ocaml-dune,
                dh-ocaml (>= 1.2),
                ocaml,
+               libfindlib-ocaml,
                libssl-ocaml-dev (>= 0.5.0)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.liquidsoap.info/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-cry.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-cry
@@ -16,7 +17,7 @@
 
 Package: libcry-ocaml-dev
 Architecture: any
-Depends: ${ocaml:Depends}, ocaml-findlib, ${misc:Depends}
+Depends: ${ocaml:Depends}, ocaml-findlib, ${misc:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Description: MP3/Ogg Vorbis broadcast OCaml module
  This OCaml module implements the protocols used to connect and
